
#include <osmocom/core/utils.h>
#include "logging.h"

static const struct log_info_cat log_categories[] = {
	[DV5] = {
		.name = "DV5",
		.description = "V5 protocol",
		.color = "\033[1;33m",
		.enabled = 1, .loglevel = LOGL_DEBUG,
	},
	[DV5CTRL] = {
		.name = "DV5CTRL",
		.description = "V5 control protocol",
		.color = "\033[0;35m",
		.enabled = 1, .loglevel = LOGL_DEBUG,
	},
	[DV5EF] = {
		.name = "DV5EF",
		.description = "V5 envelop frame",
		.color = "\033[1;34m",
		.enabled = 1, .loglevel = LOGL_DEBUG,
	},
};

const struct log_info log_info = {
	.cat = log_categories,
	.num_cat = ARRAY_SIZE(log_categories),
};

